ViennaCL - The Vienna Computing Library: viennacl::linalg::host_based::detail::fft Namespace Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Namespaces | Functions | Variables
viennacl::linalg::host_based::detail::fft Namespace Reference

## Namespaces
| FFT_DATA_ORDER

## Functions
vcl_size_t | num_bits (vcl_size_t size)
vcl_size_t | next_power_2 (vcl_size_t n)
vcl_size_t | get_reorder_num (vcl_size_t v, vcl_size_t bit_size)
template<typename NumericT , unsigned int AlignmentV>
void | copy_to_complex_array (std::complex< NumericT > *input_complex, viennacl::vector< NumericT, AlignmentV > const &in, vcl_size_t size)
template<typename NumericT >
void | copy_to_complex_array (std::complex< NumericT > *input_complex, viennacl::vector_base< NumericT > const &in, vcl_size_t size)
template<typename NumericT , unsigned int AlignmentV>
void | copy_to_vector (std::complex< NumericT > *input_complex, viennacl::vector< NumericT, AlignmentV > &in, vcl_size_t size)
template<typename NumericT >
void | copy_to_complex_array (std::complex< NumericT > *input_complex, NumericT const *in, vcl_size_t size)
template<typename NumericT >
void | copy_to_vector (std::complex< NumericT > *input_complex, NumericT *in, vcl_size_t size)
template<typename NumericT >
void | copy_to_vector (std::complex< NumericT > *input_complex, viennacl::vector_base< NumericT > &in, vcl_size_t size)
template<typename NumericT >
void | zero2 (NumericT *input1, NumericT *input2, vcl_size_t size)

## Variables
const vcl_size_t | MAX_LOCAL_POINTS_NUM = 512

## Function Documentation

template<typename NumericT , unsigned int AlignmentV>

void viennacl::linalg::host_based::detail::fft::copy_to_complex_array | ( | std::complex< NumericT > * | input_complex,
|  | viennacl::vector< NumericT, AlignmentV > const & | in,
|  | vcl_size_t | size
| ) |  |

Definition at line 96 of file fft_operations.hpp.

template<typename NumericT >

void viennacl::linalg::host_based::detail::fft::copy_to_complex_array | ( | std::complex< NumericT > * | input_complex,
|  | viennacl::vector_base< NumericT > const & | in,
|  | vcl_size_t | size
| ) |  |

Definition at line 110 of file fft_operations.hpp.

template<typename NumericT >

void viennacl::linalg::host_based::detail::fft::copy_to_complex_array | ( | std::complex< NumericT > * | input_complex,
|  | NumericT const * | in,
|  | vcl_size_t | size
| ) |  |

Definition at line 139 of file fft_operations.hpp.

template<typename NumericT , unsigned int AlignmentV>

void viennacl::linalg::host_based::detail::fft::copy_to_vector | ( | std::complex< NumericT > * | input_complex,
|  | viennacl::vector< NumericT, AlignmentV > & | in,
|  | vcl_size_t | size
| ) |  |

Definition at line 124 of file fft_operations.hpp.

template<typename NumericT >

void viennacl::linalg::host_based::detail::fft::copy_to_vector | ( | std::complex< NumericT > * | input_complex,
|  | NumericT * | in,
|  | vcl_size_t | size
| ) |  |

Definition at line 153 of file fft_operations.hpp.

template<typename NumericT >

void viennacl::linalg::host_based::detail::fft::copy_to_vector | ( | std::complex< NumericT > * | input_complex,
|  | viennacl::vector_base< NumericT > & | in,
|  | vcl_size_t | size
| ) |  |

Definition at line 167 of file fft_operations.hpp.

vcl_size_t viennacl::linalg::host_based::detail::fft::get_reorder_num | ( | vcl_size_t | v,
|  | vcl_size_t | bit_size
| ) |  |
| inline

Definition at line 84 of file fft_operations.hpp.

vcl_size_t viennacl::linalg::host_based::detail::fft::next_power_2 | ( | vcl_size_t | n | ) |
| inline

Definition at line 69 of file fft_operations.hpp.

vcl_size_t viennacl::linalg::host_based::detail::fft::num_bits | ( | vcl_size_t | size | ) |
| inline

Definition at line 55 of file fft_operations.hpp.

template<typename NumericT >

void viennacl::linalg::host_based::detail::fft::zero2 | ( | NumericT * | input1,
|  | NumericT * | input2,
|  | vcl_size_t | size
| ) |  |

Definition at line 184 of file fft_operations.hpp.

## Variable Documentation

const vcl_size_t viennacl::linalg::host_based::detail::fft::MAX_LOCAL_POINTS_NUM = 512

Definition at line 45 of file fft_operations.hpp.